<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.1) on Tue May 19 17:25:06 EEST 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;bussinessLayer</h2>
</section>
</li>
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;presentationLayer</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.AdministratorGraphicalUserInterface">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/AdministratorGraphicalUserInterface.html" title="class in presentationLayer">presentationLayer.AdministratorGraphicalUserInterface</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.ChefGraphicalUserInterface">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/ChefGraphicalUserInterface.html" title="class in presentationLayer">presentationLayer.ChefGraphicalUserInterface</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>columsName</h5>
<pre>java.lang.Object[] columsName</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>panel</h5>
<pre>javax.swing.JPanel panel</pre>
</li>
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="bussinessLayer/Restaurant.html" title="class in bussinessLayer">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>rowData</h5>
<pre>java.lang.Object[] rowData</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.ComputePrice">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/ComputePrice.html" title="class in presentationLayer">presentationLayer.ComputePrice</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>btnGoBack</h5>
<pre>javax.swing.JButton btnGoBack</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
<li class="blockList">
<h5>textField_1</h5>
<pre>javax.swing.JTextField textField_1</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.CreateMenuItem">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/CreateMenuItem.html" title="class in presentationLayer">presentationLayer.CreateMenuItem</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>btnGoBack</h5>
<pre>javax.swing.JButton btnGoBack</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
<li class="blockList">
<h5>textField_1</h5>
<pre>javax.swing.JTextField textField_1</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.CreateOrder">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/CreateOrder.html" title="class in presentationLayer">presentationLayer.CreateOrder</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
<li class="blockList">
<h5>textField_1</h5>
<pre>javax.swing.JTextField textField_1</pre>
</li>
<li class="blockList">
<h5>textField_2</h5>
<pre>javax.swing.JTextField textField_2</pre>
</li>
<li class="blockList">
<h5>textField_3</h5>
<pre>javax.swing.JTextField textField_3</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.DeleteMenuItem">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/DeleteMenuItem.html" title="class in presentationLayer">presentationLayer.DeleteMenuItem</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>btnGoBack</h5>
<pre>javax.swing.JButton btnGoBack</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.EditMenuItem">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/EditMenuItem.html" title="class in presentationLayer">presentationLayer.EditMenuItem</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>btnGoBack</h5>
<pre>javax.swing.JButton btnGoBack</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
<li class="blockList">
<h5>textField_1</h5>
<pre>javax.swing.JTextField textField_1</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.GenerateBill">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/GenerateBill.html" title="class in presentationLayer">presentationLayer.GenerateBill</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>btnGoBack</h5>
<pre>javax.swing.JButton btnGoBack</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>textField</h5>
<pre>javax.swing.JTextField textField</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.MainMenu">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/MainMenu.html" title="class in presentationLayer">presentationLayer.MainMenu</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.ViewMenu">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/ViewMenu.html" title="class in presentationLayer">presentationLayer.ViewMenu</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>columsName</h5>
<pre>java.lang.Object[] columsName</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>panel</h5>
<pre>javax.swing.JPanel panel</pre>
</li>
<li class="blockList">
<h5>rowData</h5>
<pre>java.lang.Object[] rowData</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.ViewOrders">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/ViewOrders.html" title="class in presentationLayer">presentationLayer.ViewOrders</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>columsName</h5>
<pre>java.lang.Object[] columsName</pre>
</li>
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
<li class="blockList">
<h5>rowData</h5>
<pre>java.lang.Object[] rowData</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentationLayer.WaiterGraphicalUserInterface">
<!--   -->
</a>
<h3>Class <a href="presentationLayer/WaiterGraphicalUserInterface.html" title="class in presentationLayer">presentationLayer.WaiterGraphicalUserInterface</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>contentPane</h5>
<pre>javax.swing.JPanel contentPane</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
